Subject: Re: [sipcore] [Editorial Errata Reported] RFC7463 (4915)

From: "Ben Campbell" <[email-masked]>
Date: Mon, 23 Jan 2017 10:53:30 -0600

(Adding SIPCORE)

What do people think of this errata report? Has anyone experienced 
interop problems due to the described issue?

Thanks!

Ben.

On 23 Jan 2017, at 10:42, RFC Errata System wrote:

> The following errata report has been submitted for RFC7463,
> "Shared Appearances of a Session Initiation Protocol (SIP) Address of 
> Record (AOR)".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=7463&eid=4915
>
> --------------------------------------
> Type: Editorial
> Reported by: Brett Tate <[email-masked]>
>
> Section: GLOBAL
>
> Original Text
> -------------
>    To: <sips:[email-masked]>;tag=428765950880801
>
> Corrected Text
> --------------
>    To: <sips:[email-masked]>
>
> Notes
> -----
> PUBLISH must not contain To tag unless sending within dialog.  The To 
> tag (428765950880801) appears to be extraneous within the following 
> SIP messages since there is no explanation about which dialog is being 
> shared: section 11.7 F32, section 11.9 F32, section 11.10 F22, and 
> section 11.14 F48.  The To/From URI values within section 11.7 F32 
> also should be swapped since it does not appear to be intentional and 
> is different than the other examples indicating To tag value 
> 428765950880801.
>
> Section 11.4 F2 also has To tag issues since a To tag must be present 
> to comply with RFC 3261.  Section 11.6 F28 also should not be missing 
> a To tag.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC7463 (draft-ietf-bliss-shared-appearances-15)
> --------------------------------------
> Title               : Shared Appearances of a Session Initiation 
> Protocol (SIP) Address of Record (AOR)
> Publication Date    : March 2015
> Author(s)           : A. Johnston, Ed., M. Soroushnejad, Ed., V. 
> Venkataramanan
> Category            : PROPOSED STANDARD
> Source              : Basic Level of Interoperability for SIP Services
> Area                : Real-time Applications and Infrastructure
> Stream              : IETF
> Verifying Party     : IESG

---

From: Brett Tate <[email-masked]>
Date: Mon, 23 Jan 2017 13:19:56 -0500

Hi,

I'm not aware of interoperability issues due to what is reported within
the errata.  I've only seen it indirectly cause issues within related
documentation (not code).

After some discussion within sip-implementors, I reported the errata as
editorial to help others and myself understand the examples and basic SIP.
I also reported it to help ensure corrected within rfc7463bis (if ever
actually needed).

Sorry about not splitting up the report into multiple errata.  However, it
didn't seem worth the effort to report/discuss the items separately.

Thanks,
Brett

> -----Original Message-----
> From: Ben Campbell [mailto:[email-masked]]
> Sent: Monday, January 23, 2017 11:54 AM
> To: SIPCORE
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: [Editorial Errata Reported] RFC7463 (4915)
>
> (Adding SIPCORE)
>
interop
> problems due to the described issue?
>
> Thanks!
>
> Ben.
>
> > The following errata report has been submitted for RFC7463, "Shared
> > Appearances of a Session Initiation Protocol (SIP) Address of Record
> > (AOR)".
> >
> > use "Reply All" to discuss whether it should be verified or rejected.
> > When a decision is reached, the verifying party can log in to change
> > the status and edit the report, if necessary.
> >

---

From: "Ben Campbell" <[email-masked]>
Date: Tue, 24 Jan 2017 16:06:27 -0600

Thanks for the comments. I plan to mark this "hold for update", as usual 
for non-urgent editorial errata.

Thanks!

Ben.

On 23 Jan 2017, at 12:19, Brett Tate wrote:

>>> rejected.
> _______________________________________________
> BLISS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bliss